%define python_site %(echo `python -c "import sys; print (sys.prefix + '/lib/python' + sys.version[:3] + '/site-packages')"`)
%define python_include %(echo `python -c "import sys; print (sys.prefix + '/include/python' + sys.version[:3])"`)
%define _findprov_lib_path %python_site

Summary: Python bindings for Qt.
Name: PyQt
Version: 3.7
Release: alt2
Copyright: GPL
Group: Development/Python
#%define __version snapshot-20030407
Source: http://www.riverbankcomputing.co.uk/download/pyqt/%{name}-x11-gpl-%version.tar.gz
URL: http://www.riverbankcomputing.co.uk/pyqt/
Requires: sip = %version-%release
Requires: libqscintilla >= 1.1

# Automatically added by buildreq on Thu Apr 10 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libGLU-devel libXft libexpat libjpeg liblcms libmng libqscintilla-devel >= 1.1  libqt3-devel libstdc++-devel python-devel sip-devel >= 3.7 zlib-devel

%description
Python bindings for the Qt C++ class library.  Also includes a PyQt backend
code generator for Qt Designer.

%package devel
Requires: PyQt = %version-%release
Summary:  Sip files for %name
Group: Development/Python

%description devel
Sip files for PyQt to build extension

%prep
%setup -n %name-x11-gpl-%version

%build
rm -rf %buildroot
mkdir -p %buildroot%_bindir
mkdir -p %buildroot%{python_site}
export QTDIR=%_libdir/qt3
echo 'yes' | python build.py -q $QTDIR -l qt-mt -b %buildroot%_bindir -d %buildroot%{python_site}
make

%install
export QTDIR=%_libdir/qt3
make install DESTDIR=%buildroot
mkdir -p %buildroot%_datadir/PyQt/sip
install sip/* %buildroot%_datadir/PyQt/sip

%files
%_bindir/*
%{python_site}/*
%doc NEWS README README.Linux ChangeLog doc/PyQt/* examples3

%files devel
%dir %_datadir/PyQt
%dir %_datadir/PyQt/sip
%_datadir/PyQt/sip/*

%changelog
* Fri Aug 01 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt2
- added _findprov_lib_path macro to temporary solve problem with dependencies

* Tue Jul 08 2003 Serge Sergeev <ssv@altlinux.ru> 3.7-alt1
- new release

* Mon Apr 28 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt1
- new release

* Thu Apr 10 2003 Serge Sergeev <ssv@altlinux.ru> 3.6-alt0.1
- New build from snapshot

* Fri Dec 20 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt2
- comment patch added ( this comment line needs for eric )
- add devel package ( need to build some extension of qt )

* Tue Dec 17 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt1
- build with qscintilla
- new release

* Mon Dec 16 2002 Serge Sergeev <ssv@altlinux.ru> 3.5-alt0.1.20021205
- correct version

* Sat Dec 07 2002 Serge Sergeev <ssv@altlinux.ru> 20021205-alt1
- build from snapshot
- add documentation

* Tue Nov 05 2002 Serge Sergeev <ssv@altlinux.ru> 3.4-alt1
- new release

* Wed Sep 04 2002 Serge Sergeev <ssv@altlinux.ru> 3.3.2-alt1
- new release

* Thu Jul 25  2002 <sergeyssv@mail.ru>
- Initial release

